update tool affect on older tours  

This forum is fully dedicated to Panotour / Panotour Pro bug reports as well as feature discussion.
no avatar
macalenny
Member
 
Topic author
Posts: 128
Likes: 0 post
Liked in: 0 post
Joined: Thu Apr 12, 2012 1:40 am
Info

update tool affect on older tours

by macalenny » Mon Sep 25, 2017 2:38 am

I used the krpano update tool to update the .js and .swf files of an older tour.

all works except I have hot spots that pen gallery images, these stopped working.

I reverted back to old files and works.

is there a way to avoid this and still update to latest?

User avatar
Annis
Kolor Team
 
Posts: 6062
Likes: 801 posts
Liked in: 444 posts
Joined: Mon Aug 12, 2013 12:47 pm
Location: France
Info

Re: update tool affect on older tours

by Annis » Mon Sep 25, 2017 10:26 am

Which PTP version tours are you using the update tools on?

no avatar
macalenny
Member
 
Topic author
Posts: 128
Likes: 0 post
Liked in: 0 post
Joined: Thu Apr 12, 2012 1:40 am
Info

Re: update tool affect on older tours

by macalenny » Mon Sep 25, 2017 12:02 pm

krpano 1.19-pr10 (build 2017-05-10)

updated to latest, just release version from 9/21, I believe.

User avatar
Annis
Kolor Team
 
Posts: 6062
Likes: 801 posts
Liked in: 444 posts
Joined: Mon Aug 12, 2013 12:47 pm
Location: France
Info

Re: update tool affect on older tours

by Annis » Tue Sep 26, 2017 10:07 am

You'd have to remove all the HTML5 plugins of your tour, and even then the upgrade is not guaranteed to work because of the xml changes.

no avatar
macalenny
Member
 
Topic author
Posts: 128
Likes: 0 post
Liked in: 0 post
Joined: Thu Apr 12, 2012 1:40 am
Info

Re: update tool affect on older tours

by macalenny » Tue Sep 26, 2017 11:36 am

OK thank you.

So a better practice would be to save ptp project an render again new, right?

User avatar
Annis
Kolor Team
 
Posts: 6062
Likes: 801 posts
Liked in: 444 posts
Joined: Mon Aug 12, 2013 12:47 pm
Location: France
Info

Re: update tool affect on older tours

by Annis » Tue Sep 26, 2017 2:20 pm

Save it as a separate project and remove the plugins, render in a new spot and try updating it.

As I said, it is not guaranteed to work, you are essentially taking an English dictionary and changing the language so things won't necessarily be understandable to work!


Who is online

Users browsing this forum: No registered users and 3 guests

cron